Package org.codehaus.groovy.control

## Class ASTTransformationsContext

- java.lang.Object
- - org.codehaus.groovy.control.ASTTransformationsContext

-     public class ASTTransformationsContext
      extends java.lang.Object

  Stores state information about global AST transformations applied to a compilation unit.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected CompilationUnit` | `compilationUnit` |
    `protected java.util.Set<java.lang.String>` | `globalTransformNames` |
    `protected GroovyClassLoader` | `transformLoader` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ASTTransformationsContext​(CompilationUnit compilationUnit, GroovyClassLoader transformLoader)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `CompilationUnit` | `getCompilationUnit()` |
    `java.util.Set<java.lang.String>` | `getGlobalTransformNames()` |
    `GroovyClassLoader` | `getTransformLoader()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### transformLoader

          protected final GroovyClassLoader transformLoader

    - #### compilationUnit

          protected final CompilationUnit compilationUnit

    - #### globalTransformNames

          protected final java.util.Set<java.lang.String> globalTransformNames

  - ### Constructor Detail

    - #### ASTTransformationsContext

          public ASTTransformationsContext​(CompilationUnit compilationUnit,
                                           GroovyClassLoader transformLoader)

  - ### Method Detail

    - #### getCompilationUnit

          public CompilationUnit getCompilationUnit()

    - #### getGlobalTransformNames

          public java.util.Set<java.lang.String> getGlobalTransformNames()

    - #### getTransformLoader

          public GroovyClassLoader getTransformLoader()